> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Domains

> Get a list of domains for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/domains
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/domains:
    get:
      tags:
        - Orgs Domains
      summary: Get Domains
      description: Get a list of domains for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
            maxLength: 256
            description: Search domains by domain string
          required: false
          description: Search domains by domain string
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DomainSchema'
components:
  schemas:
    DomainSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the domain
        hostname:
          type: string
          description: The hostname string (e.g., example.com)
        org_id:
          type: string
          description: Identifier of the org that owns this domain
        verified:
          type: boolean
          description: Whether the domain is verified
        verified_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was verified
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was created
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was last updated
      required:
        - id
        - hostname
        - org_id
        - verified
        - verified_at
        - created_at
        - updated_at
      description: Detailed information about an org domain
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````